#pragma once
#include "UnitManager.h"

template <class UnitDataType>
class UnitManagerImpl : public UnitManager
{
protected:
  virtual UnitData* instantiateUnitData(BWAPI::Unit* unit) const
  {
    return UnitDataType::instantiate(unit);
  }
};